Gave up waiting for root device after upgrade then busybox console

Bug #360378 reported by BrianL
198
This bug affects 32 people
Affects Status Importance Assigned to Milestone
initramfs-tools (Ubuntu)
Invalid
Undecided
Unassigned
Nominated for Dapper by James D
Nominated for Hardy by James D
Nominated for Jaunty by James D
Nominated for Karmic by James D
Nominated for Lucid by pitwalker
Nominated for Maverick by James D
linux (Ubuntu)
Won't Fix
Undecided
Unassigned
Nominated for Dapper by James D
Nominated for Hardy by James D
Nominated for Jaunty by James D
Nominated for Karmic by James D
Nominated for Lucid by pitwalker
Nominated for Maverick by James D

Bug Description

Binary package hint: linux-image-generic

After upgrade via synaptic on 4/12/09 on Ubuntu jaunty my system is now no longer booting correctly was working just fine with previous kernel 2.6.28.11 but the changes to this package linux-image after 4/12/09 may have caused my system to no longer boot.. & the system falls back to a busybox console after displaying the error message Gave up waiting for root device.. I have waited for several minutes then issued an exit command & the same message is displayed again..

BrianL (brianlightfoot)
description: updated
tags: added: boot.busybox gave image kernel up
tags: added: boot busybox
removed: boot.busybox up
Revision history for this message
apienk (andrzej-pienkowski) wrote :

Exactly the same happening for me after upgrade to Jaunty. BusyBox returns every time. The known rootdelay=90 workaround doesn't work. Grub recognizes the partitions correctly right from the start, and the UUIDs are proper, but kernel fails to find the root drive.

I am using a laptop with a SATA hard drive that worked well with Edgy, Feisty, Gutsy, and Intrepid.

Changed in linux-meta (Ubuntu):
status: New → Confirmed
Revision history for this message
Andy Whitcroft (apw) wrote :

This is not a bug in the linux-meta package, moving to the linux package.

affects: linux-meta (Ubuntu) → linux (Ubuntu)
Revision history for this message
trejrco (trejrco) wrote :

Having same problem, was hoping for a resolution ... :)

Details:
Was applying updates/upgrades - saw a message about needing to run lilo ... lilo said something like (IIRC) /etc/lilo.conf does not exist ... machine ended up getting rebooted (was fine until then!) ... and now --> Boot menu == "Ubuntu 8.10, kernel 2.6.27-11-generic"
... boot from hd0,5 Ext3 ...
... Ubuntu image, throbbing yellow indicator ...

"Gave up wiating for root device. Common problems:
  - Boot args
    - check rootdelay= ...
    - check root= ...
 - missing modules (cat /proc/modules; ls /dev)

ALERT! /dev/disk/by-uuid/15448888-84a0-4ccf-a02a-0feb3f150a84 does not exist. Dropping to a shell!

BusyBox Built In Shell ...
(initramfs)

So ... it would be great if there was a way to get past this (short-term?) and a fix so that it wouldn't happen at all (long term).

Revision history for this message
steff (stefan-neupert-gmail) wrote :

Same here on my Dell... If I look for the disk /dev/disk/by-uuid/<my-boot-disk-uuid> (according to grub's configuration) it's gone, there's only the swap disk in there. Where's my disk gone, dudes?

Can't even boot if I tell grub to use LABEL instead of UUID! And boot with older kernel-images keeps failing too!

What happened? Please help!

Revision history for this message
steff (stefan-neupert-gmail) wrote :

Well, since KUBUNTU 9.10 udev obviously doesn't recognize my disk and bristles to create an entry in '/dev/disk/by-uuid'! So I re-configured GRUB to use 'root=/dev/sda1' instead of the UUID. And voila, it works.

Revision history for this message
Tux821 (tux821-gmail) wrote :

finally.. this fixed it for me too, thanx!!

After a clean install and upgrade on my new (Ubuntu) PC my harddisk suddenly was not found an more.
Booted from Life CD, everything, disk, labels seemed ok, but no boot until I did put it the direct reference to my Linux partition.

To make myrand new Pc boot again i replaced (in grub.cfg):

linux /boot/vmlinuz-2.6.31-17-generic root=UUID=a026ae5a-4c0b-42cd-8b46-b57bfb433ac7 ro quiet splash

with:

linux /boot/vmlinuz-2.6.31-17-generic root=/dev/sda1 ro quiet splash

Note this is a real show stopper for people to install and use a production release of Ubuntu!

Revision history for this message
Tux821 (tux821-gmail) wrote :

Ok, again did a new Ubuntu 9.10 AMD64 install and upgrade on another PC, now this problem does not occur..
So it seems not to occur on every install (and if it does, I know the fix, see previous post ;)

Revision history for this message
acti0nman (actionman-ip) wrote :

i confirm this bug as well. I'm running a Thinkpad T61p, core 2 duo, nividia gt8600. Got the "Gave up waiting for root device" then it drops to initramfs using ash. Bad bug.

Revision history for this message
MarcRandolph (mrand) wrote :

Other reports: http://ubuntuforums.org/showthread.php?t=1319976 Some work-arounds appear to be discussed there.
I also found this posted out in the wild:

<<the acpi=off option was the culprit in my case.

So changing the kernel line from

kernel /boot/vmlinuz-2.6.27-11-generic root=UUID=4aedfb0c-7fb5-4ca1-b42b-154354d3a0e1 ro quiet splash apm=off acpi=off clocksource=pit noapic nolapic

to

kernel /boot/vmlinuz-2.6.27-11-generic root=UUID=4aedfb0c-7fb5-4ca1-b42b-154354d3a0e1 ro quiet splash apm=off acpi=on clocksource=pit noapic nolapic
>>

Changed in linux (Ubuntu):
importance: Undecided → High
Revision history for this message
MarcRandolph (mrand) wrote :

http://zfranciscus.wordpress.com/2009/11/01/ubuntu-karmic-upgrade-series-1-upgrading-jaunty-to-karmic-koala/
Also makes mention that loading by UUID and found that loading with actual device name worked better:

<<Alert /dev/disk/by-uuid=[XXX] does not exist. Dropping to a shell.

A work around for this problem is to load your Linux drive by its absolute path, not by its UUID. So I boot Ubuntu from my bootable Jaunty Jackalope disc. Edit the Grub boot menu file /boot/grub/menu.lst.

I replaced the UUID with my linux drive full path on the kernel line:
title Ubuntu 9.10, kernel 2.6.31-14-generic
root (hd0,2)
kernel /boot/vmlinuz-2.6.31-14-generic root=/dev/sda3
>>

Revision history for this message
MarcRandolph (mrand) wrote :

Bug #343919 may also be a cause of this

Revision history for this message
Alvin (alvind) wrote :

Added tag iso-testing because this happend on fresh karmic installations
Added tag ubuntu-boot-experience because it affects the Ubuntu boot experience

tags: added: iso-testing ubuntu-boot-experience
Revision history for this message
Alvin (alvind) wrote :

I switched the harddive on an affected server and reinstalled karmic. Same problem. Won't boot after install.

Revision history for this message
Alvin (alvind) wrote :

Are we sure it's a bug in the kernel, and not grub2?

These are the things I know:
- The problem does not always occur (In my case, it's 80% of all boots)
- LVM is irrelevant
- Hardware is irrelevant
- changing to acpi=off kernel option helps in some cases
- changing UUID to full path in grub.cfg helps in some cases
- changing boot wait times could help in some cases

Not much to hold on to. Where's the boot log when you need one? (Not really possible when the disk is not seen.)

Are you all sure about grub.cfg? There is a big warning 'DO NOT EDIT THIS FILE' in the header.

Revision history for this message
craig (tapocol) wrote :

Here is my path to fixing the problem on my Ubuntu 9.10 that was set-up by System76. I am not really a sysadmin type, so take my remarks cautiously.

- Booted up from a Live USB (Ubuntu 9.10)
- First needed to mount my root partition (sda1 is mine):

sudo mkdir /media/sda1
sudo mount -t ext3 /dev/sda1 /media/sda1

- Since I had been reading a lot of posts about editing your menu.lst, I first went to locate this file.
- When I noticed the /media/sda1/boot/grub/menu.lst was missing, I found out that a clean install of Ubuntu 9.10 installs grub2. And, grub2 does not use menu.lst anymore.
- As I did some searching I found this perfect page in Ubuntu's help: https://help.ubuntu.com/community/KarmicUpgrades#Grub%202
- Once I uncommented "GRUB_DISABLE_LINUX_UUID=true" from /media/sda1/etc/default/grub I had to update-grub. Since, I was in a live USB environment. I needed to change my root. However, I had to first let my devices be available in /media/sda1. Some more searching got me to the final few commands:

sudo mount --bind /dev /media/sda1/dev
sudo chroot /media/sda1
update-grub

- Now I was able to boot up without problems.

Hopefully this helps someone on the latest ubuntu with grub2.
Craig

Revision history for this message
Raj (techie-raj) wrote :

Craig,

    I followed your suggested procedure in the above post, but still I have the same problem. Finally I am ending in a console login where my screen is continuously flashing so I couldn't even log into my account.

While loading the grub I verified that my grub is pointing to kernel 2.5.31-14-generic, even then I couldn't login into my system. Hope this might be useful, please let me know if you need any more information. Thank you all for your support.
                                                                                                            -Raj

Revision history for this message
Rezty Felty (rezty) wrote :

Also experiencing this bug, after upgrading my fileserver from jaunty to karmic, get error message:

"Gave up waiting for root device. Common problems:
  - Boot args
    - check rootdelay= ...
    - check root= ...
 - missing modules (cat /proc/modules; ls /dev)

ALERT! /dev/disk/by-uuid/<my-drive-uuid> does not exist. Dropping to a shell!

BusyBox Built In Shell ...
(initramfs)

My drive setup is as follows:
Ubuntu is installed on a 6gb IDE drive that is recognized as /dev/sdc
I have dual 250GB SATA drives, going through a third-party raid controller, raid controller has them set up as a mirror but Ubuntu still sees them as /dev/sda and /dev/sdb. I have them soft-raided using md. I have an HP Raid enclosure with 15 Ultra-3 SCSI drives in it hooked to an Adaptec 1521 SCSI controller, these are set up in hardware as 3 raid 5 drives of 36GB, 72GB, and 128GB each. When I drop to the intramfs busybox shell and ls /dev, it no longer sees a partition on sdc, I see /dec/sda, /dev/sda1, /dev/sda5, /dev/sdb/ /dev/sdb1/ /dev/sdb5/ /dev/sdc and /dev/ida

I can just blow away and reinstall to the 6GB drive, but as getting all the arrays set up just so and shared out to the network right was kind of finicky, I'd prefer to recover the os if possible.

I booted off a 9.1 install disc and ran gparted, it also is seeing no partition on sdc. Did my disc just happen to go bad while rebooting after an upgrade?

I have tried escaping at the grub prompt and editing the boot lines to read /dev/sdc, as well as all the other /dev lines, and had no luck.

Revision history for this message
Rezty Felty (rezty) wrote :

More info as I continue to work this problem:
I have 6 different kernels on this box, as I never removed any.
The following kernels boot to a maintenance login:
2.6.24-19
2.6.24-24
2.6.24-25
2.6.24-27
They all display this error:
"init readahead main process terminated with status 5
mountall:/proc device or resource busy
root filesystem isn't mounted"
If I give the root password and log in to the maintenance shell, I can see all my files like root is mounted fine. fstab shows that it is looking for root on /dev/hda1, and I see a block device /dev/hda1. If I try and mount this block device, I get an "already mounted" error. The mount command does not display /dev/hda1 mounted. However, it shows /dev/sdc1 mounted as /, which is funny because /dev shows no sdc1.

2.6.28-18 actually boots to a login prompt. GUI doesn't come up, but I can log in, ssh is up, etc. Currently working in this shell

2.6.31-20 continues to display the original error.
I have tried the pci=nomsi switch, I have tried the acpi=off switch, I have waited 10 minutes at the busybox shell and then typed exit in case it was the timeout error, no resolution yet. I have tried running update-initramfs -k 2.6.31-20-generic -u, and still see this behavior. I will continue trying to find a solution myself, yet remain hopeful that I get some good advice here.

Revision history for this message
Rezty Felty (rezty) wrote :

After upgrading to grub2, I am able to successfully boot into 2.6.28-18. This is a workaround, not a fix, as I would still like to be able to boot into 2.6.31-20, and that kernel still gives the uuid no device exists error.

Revision history for this message
pitwalker (pitwalker) wrote :

I found an outer half solve (the first?),
half because when we can change storages, or we can install Ubuntu to a pendrive.

  December 31, 2009 (-> ancient bug)
  Solving the BusyBox black screen problem in grub2/Ubuntu9.10
  http://computergyan.wordpress.com/2009/12/31/solving-the-busybox-black-screen-problem-in-grub2ubuntu9-10/

the problem still reproducible in Lucid
(grub nearly one, and chainloaded grub nearly 2 can load the kernel+initramfs from UUID)

uname -a
Linux portu2 2.6.32-18-generic #27-Ubuntu SMP Fri Mar 26 19:51:10 UTC 2010 i686 GNU/Linux
(2.6.32-17 also)

-- CD-RW for mini.iso? No! http://unetbootin.sourceforge.net/ --

Revision history for this message
Alvin (alvind) wrote :

I now have this on a server that previously did not showed this behaviour. (Most others do)
It didn't show up until after the upgrade to linux-image-2.6.31-20.

Revision history for this message
Rezty Felty (rezty) wrote :

I gave up and did a fresh install of ubuntu 9.10

Revision history for this message
Alvin (alvind) wrote :

I tried that too, but on first boot, the hard drive wasn't found. I also tried another install on another hard drive without progress. Reinstall is not the solution.

Revision history for this message
Rezty Felty (rezty) wrote :

1st reinstall didn't work for me either, hard drive not found on first boot. I replaced the drive and it installed fine the second time.

Revision history for this message
mbroomberg (mbroomberg) wrote :

tuc821!! your #6 response was magic! fixed a problem i've had for a month! many thanks....

martin b

Revision history for this message
Rick Silva (silvari) wrote :

Found a new fix...

Had ried a couple of the solutions above:
- added root delay to grub.conf / kernel boot options
- changed grub to reference the root drive directly instead of by UUID
- copied "initrd.img-2.6.32-21-generic" from another machine running Lucid
... but neither of those worked

However, after copying the initrd.ing from the bootable USB (Lucid Netbook Edition) I had used to perform the installation on this machine, then the problem was resolved - machine booted successfully and quickly as expected, instead of going to the busybox screen

Here's the file that was copied from the Live USB / installer, onto my machine (into /boot) :
  13513060 2010-05-02 22:11 initrd.img-2.6.32-21-generic

Many thanks to this excellent doc, which got me on the path of this fix.
--> http://www.dedoimedo.com/computers/ubuntu-initrd-bug.html

Revision history for this message
John D Marsden (jdmarsden) wrote :

I had the same problem on my wife's Netbook (Toshiba NB200) after upgrading from Ubuntu Netbook Remix 9.10 to Lucid using the standard upgrade procedure.

I tried the extending the "rootdelay" altering the Grub instructions to look for /dev/sdax instead of the UUID but neither worked.

However after downloading a Lucid Ubuntu Netbook Edition .iso image and booting from a USB drive Rick Silva's suggestion at comment #26 above worked. I copied initrd.img-2.6.32-21-generic from the RAM disk once I'd booted off the USB drive.

I can now boot from 2.6.32.21 on my hard drive. HOWEVER I cannot boot from 2.6.32.22-generic which was installed a few days ago by the Update Manager. Using synaptic to remove 2.6.32.22-generic and re-install it does not solve the problem.

The initrd.img I copied from the USB boot is about 12.9 Mb but the initrd.img files on my hard disk are about 7.6 Mb.

What is the underlying problem here? Is there something else about my upgrade to Lucid which is resulting in initrd.img files being damaged, or incorrectly constructed? How might I diagnose what is going on?

I'm not expert in Linux boot time processes, but I'm happy to do my bit to diagnose the underlying issue. I'd like to see this fixed properly so Ubuntu genuinely can be used by ordinary humans, like my wife, not just people who roam technical websites.

Revision history for this message
Alvin (alvind) wrote :

@John D Marsden
I have seen this bug on several machines, where I couldn't boot different versions of the kernel, and it wasn't 100% reproducible. (rootdelay fixes nothing)

However, the problem you have with kernel 2.6.32-22 seems to be reproducible. I have experienced the same on one pc and filed a new bug about that. Please take a look at bug 577353 and set to confirmed if you experience the same.

Revision history for this message
Ellis Whitehead (web99) wrote :

The problem also occurs with VirtualBox. Using a kubuntu 10.4 64bit host, I installed the proprietary version of VirtualBox (downloaded virtualbox-3.2_3.2.2-62298~Ubuntu~lucid_amd64.deb from http://www.virtualbox.org/wiki/Linux_Downloads) and made a ubuntu 10.4 32bit server image (from ubuntu-10.04-server-i386.iso). I accepted all defaults during installation, and the "Gave up..." error was shown once the virtual machine rebooted after installation.

Revision history for this message
Noel J. Bergman (noeljb) wrote :

I just had this happen with Maverick during today's updates.

Revision history for this message
Michael Schramm (michael-schramm) wrote :

same here...

Revision history for this message
Noel J. Bergman (noeljb) wrote :

This is reproducible with Maverick today. I did a clean reinstall, reboot, update, reboot and BOOM!

The complaint appears to be that during init, "wait-for-root" cannot be found. It is NOT kernel related, since I was able to use the kernel earlier. From what I remember of today's updates, this appears to be caused by a defective initramfs package.

Revision history for this message
Noel J. Bergman (noeljb) wrote :

Confirmed. The workaround is to run:

dpkg --set-selections
initramfs-tools hold
initramfs-tools-bin hold
^D

before upgrading.

Revision history for this message
Colin Watson (cjwatson) wrote :

Noel, you do not have this bug (360378). This bug was introduced briefly in initramfs-tools 0.96.1ubuntu3, and has since been fixed; since it was introduced for the first time on 16 June 2010, it can't be the same as this bug which was filed on 13 April 2009. It just happens to have similar symptoms, that's all, but it shouldn't be conflated into the same bug report.

Changed in initramfs-tools (Ubuntu):
status: New → Invalid
Revision history for this message
Noel J. Bergman (noeljb) wrote :

Thanks for the update, Colin.

Revision history for this message
Rick Silva (silvari) wrote :

Colin Watson, can you pls clarify the reason for this bug having been marked invalid on 6/17 ? Is it superseded by 577353? The experiences described by several people above do seem to indicate that this problem does [still] exist in Lucid. I am able to reliably reproduce this problem, whenever upgrading UNR to 2.6.32-22 .

Thanks

Revision history for this message
Daniel Tobias (dtobias) wrote :

This problem appeared for me this week after some recent updates on my Karmic 9.10 package. This leads me to believe its closer to the Maverick issue discussed in #32-34 above but does that mean I need to execute the code in #33 to fix? or should I look at #6 to fix? Either way I'm a newbie and don't really know what I'm doing. For 33 I think I just type that code into the command line while running live but I've no idea how to execute the suggestion in #6....

Revision history for this message
Daniel Tobias (dtobias) wrote :

Perhaps Rick Silva's fix in #26 is also an option? Or is that really for the older bug

Revision history for this message
James D (demichej) wrote :

Could someone comment on why this is in fact Invalid? Why was it not marked a duplicate of another bug?

Revision history for this message
Mike Pelley (mikepelley) wrote :

I believe it was marked invalid against the initramfs-tools package, but confirmed against "linux", if I'm understanding the launchpad interface correctly.

Revision history for this message
James D (demichej) wrote :

Ah, got it. Thanks for the help. Now I see the interface indicating that as well. Makes sense that it was moved to "linux" anyways, at it sounds like a kernel issue.

Revision history for this message
Daniel Smedegaard Buus (danielbuus) wrote :

For those of you encountering this with VirtualBox, moving the system drive(s) to a virtual IDE controller instead of a virtual SATA controller fixes it.

I had the same issue after installing 10.04 to two virtual SATA drives (1 sys + 1 swap), I then tried an expert install using LILO instead of GRUB, but the same problem appeared. I then moved the two virtual drives from the virtual SATA controller to the virtual IDE controller, and it booted nicely.

Revision history for this message
cobra2020 (edragan) wrote :

It seems like I'm the only one still suffering from this problem. I got a new laptop a couple of weeks ago and I installed Ubuntu 10.4 (netbook edition) on it. I've been saddled with the problem described above ever since! Tried changing the delay and replacing the UUID in grub with 'root=/dev/sda1'. Actually, using dev/sda1 in grub "got me around" the problem, BUT the boot became almost 4 minutes AND I'm losing every app I install since the previous boot (i.e. if I install Google Chrome, the next time I restart all traces of it are gone).

I am COMPLETELY new to linux/ubunu. Been a Windows user all my life, just thought I'd give this a try...

I tried to do what Rick Silva described in #26 above, BUT I couldn't locate that file on the bootable USB drive. I did locate a broken like to where the file should have been, however. Not sure what that means... I'm booting off the USB just fine...

If anyone has specific ideas about how I should go about solving my issue, I'm all ears! Please remember that I'm COMPLETELY new to this :-), but willing to learn new things.

Revision history for this message
Mark Myers (mark-n4kss) wrote :

I am having the same problem. I loaded Ubuntu 10.04 into my laptop with no problem whatsoever. I bought a new PC and installed Ubuntu 10.04 64 bit version with double boot of Windows 7 which was pre-installed on the desktop.
I am too new to Ubuntu and Linux to know how to edit the config files or grub or even where to find them. I think grub is like the bootloader from what I understand.
Just hoping someone can find a good fix for this, until them I will be using my Windows 7 for the time being. I can however load via the CD if I want to use Ubuntu but its slower. I hope to learn more about Linux but not willing to run until after I learn to crawl.
Please let me know if an answer is found for this.
Thanks

Revision history for this message
Daniel Tobias (dtobias) wrote : Re: [Bug 360378] Re: Gave up waiting for root device after upgrade then busybox console

In the end I just reinstalled and it is now running fine. Perhaps that can
work for you too.

Cheers,
Danny

***************************************
Log Off and Live!
www.ishouldlogoff.com
US Phone: 843-LOG-8OFF

On Sun, Aug 8, 2010 at 16:05, Mark Myers <email address hidden> wrote:

> I am having the same problem. I loaded Ubuntu 10.04 into my laptop with no
> problem whatsoever. I bought a new PC and installed Ubuntu 10.04 64 bit
> version with double boot of Windows 7 which was pre-installed on the
> desktop.
> I am too new to Ubuntu and Linux to know how to edit the config files or
> grub or even where to find them. I think grub is like the bootloader from
> what I understand.
> Just hoping someone can find a good fix for this, until them I will be
> using my Windows 7 for the time being. I can however load via the CD if I
> want to use Ubuntu but its slower. I hope to learn more about Linux but not
> willing to run until after I learn to crawl.
> Please let me know if an answer is found for this.
> Thanks
>
> --
> Gave up waiting for root device after upgrade then busybox console
> https://bugs.launchpad.net/bugs/360378
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “initramfs-tools” package in Ubuntu: Invalid
> Status in “linux” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: linux-image-generic
>
> After upgrade via synaptic on 4/12/09 on Ubuntu jaunty my system is now no
> longer booting correctly was working just fine with previous kernel
> 2.6.28.11 but the changes to this package linux-image after 4/12/09 may have
> caused my system to no longer boot.. & the system falls back to a busybox
> console after displaying the error message Gave up waiting for root
> device.. I have waited for several minutes then issued an exit command & the
> same message is displayed again..
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/360378/+subscribe
>

Revision history for this message
MrFish (fisch27) wrote :

Solved the problem by booting recover kernel (had to add i915.modeset=1 to grub entry). After the error message type:

mountall

then a blue menu appeared

typed sudo gdm to start gnome

Had a look at the latest updated packages. With Synaptic removed current version of mountall (mountall 2.15.1). Used apt-get to downgrade to previous version of mountall

Also downgraded kernel version

Ubuntu starts again.

Cheers

Revision history for this message
MrFish (fisch27) wrote :

accidentally did an apt-get update, mountall 2.15.2 was installed -> same behavior -> downgraded to 2.14 -> boots again

Cheers

Revision history for this message
kenorb (kenorb) wrote :

I had as well 2.15.2, I did the downgrade to 2.14, but still the same error
Compare the difference: http://launchpadlibrarian.net/55230468/mountall_2.14_2.15.2.diff.gz
There is already 2.17, but not any new fixes.

Revision history for this message
kenorb (kenorb) wrote :

Found this:
http://ubuntuforums.org/showthread.php?t=1195275
I had in /etc/default/grub default settings:
GRUB_HIDDEN_TIMEOUT_QUIET=true
'The user may force displaying the menu as the computer boots by holding down the SHIFT key.'
Nice.
I'll try to boot with the older kernel.

Revision history for this message
Matt (mattjs12) wrote :

I just encountered this performing 'aptitude safe-upgrade' from 2.6.32-22.36 to 2.6.32-24.43 (generic)
Had two similar machines upgrade fine.
The previous 2.6.32-22.36 grub (v0.97) menu entry continued to boot fine.
After reading these comments I tried, after booting the previous kernel:

update-initramfs -k 2.6.32-24-generic -d
update-initramfs -k 2.6.32-24-generic -c

(substitute your own offending version) to remove and recreate the initramfs for the new kernel.
It booted OK. Have only booted once. No idea how permanent this is.

Revision history for this message
zeeshaan mohammed (zzzee-me) wrote :

Here's a 100% working solution.
Zee's 6 step Ubuntu fix!
http://zeeis.me/ubuntu-boot-error-si...r-root-device/
If you wanna share it with anyone or post it on your website, please mention a linkback as credit.

Revision history for this message
oli z (oliver-z) wrote :

@zeeshaan
please stop spamming wrong informations. your "fix" has absolutly nothing to do with the problems here reported.

just encountered the same problem on one of my servers. i checked on some of my other servers and noticed that they hadnt installed grub2, they used grub
make sure you have installed grub-pc and not the old legacy grub
this fixed it for me

apt-get install grub-pc
grub should be removed and the grub2 package will get installed

Revision history for this message
Forest (foresto) wrote :

oli z, I'm glad the grub change worked for you, but I've had this problem with both grub 1 and grub 2.

Revision history for this message
Tim Gardner (timg-tpi) wrote :

No response fro the original reporter

Changed in linux (Ubuntu):
importance: High → Undecided
status: Confirmed → Won't Fix
Revision history for this message
Alvin (alvind) wrote :

No offense, but would you keep a system that does not boot in order to follow up a bug if a system doesn't boot after a fresh installation? I can understand that the original reported doesn't respond anymore. He's probably using another version/distribution by now.

Revision history for this message
kenorb (kenorb) wrote :

For sure!
I was using Ubuntu at my work. After upgrade it was completely broke. I've completely removed Ubuntu and installed FreeBSD, because I can't wait for solution or follow the workarounds which will break my systems even more.
If I were the reporter, for sure after one year I would remove Ubuntu from my favourite systems, if that bug couldn't be fixed.

If the reporter doesn't reply, doesn't mean you can simply close it as "Won't Fix" because of laziness.
'This bug affects 26 people.'

Revision history for this message
kenorb (kenorb) wrote :

importance: High → Undecided ?
status: Confirmed → Won't Fix
How you can simple close High Confirmed bug with no any solution provided?

Revision history for this message
Tim Gardner (timg-tpi) wrote :

Alvin, kenorb - Most boot issues are unique to a specific platform and BIOS. BrianL's issues are against a kernel that has gone out of support and against HW that he never described. If y'all are still having boot problems, then you should start your own bug report using 'ubuntu-bug linux' (assuming you can get past your boot issues).

Revision history for this message
Alvin (alvind) wrote :

I already did file a separate bug. (bug #460914) It is marked as a duplicate of this one. I'm not having boot issues anymore because of the upgrade to Lucid. Lucid has its own share of boot issues, but gets past that point. As we can see in the comments here, some people still experience these symptoms in Lucid/Maverick.

Letting everyone file separate bugs for the same problem only leads to a lot of bugs marked duplicate. Of course, there might be several issues here. The symptoms from this bug can be found with different hardware configurations, and even qemu/virtualbox virtual machines. Also, from the comments in the bug we already know that hardware is irrelevant here, and that the kernel might not be the issue either. (invalid is thus appropriate for linux. Might it be mountall?)

Revision history for this message
kenorb (kenorb) wrote :

Yes, so now all the people who has the same problem has to re-vote there.
And issue there should be set as not duplicate,, if this can't be fixed.

Revision history for this message
Jon Buckley (itsafork) wrote :

I am using a few of different JumpBoxes, and after migrating them from ESXi4.0 to ESXi4.1 I went to boot them back up, & in 2 of them have received the error message saying:

Segmentation fault
Gave up waiting for root device

I have already tried switching the OS Type in vSphere device manager from "Ubuntu Linux 32-bit" to "Other Linux 32-bit"

Revision history for this message
W3ird_N3rd (w3ird-n3rd) wrote :

I just installed an old box with Asus CUSL2-C (i815) and Lubuntu 14.04 (trusty). Occasionally get the busybootblows, but not always. Just randomly, 2 times out of 3 maybe.

Turning "plug and play OS" in BIOS on or off makes no difference
Adding "noapic" after quiet splash in /etc/default/grub makes no difference
Neither does noacpi
Neither does rootdelay=15

The device it can't mount is the partition that holds /.

Revision history for this message
W3ird_N3rd (w3ird-n3rd) wrote :

Forgot to note: typing "exit" always works immediately. "irqpoll" option also does not work.

Revision history for this message
W3ird_N3rd (w3ird-n3rd) wrote :

Nevermind.. Just forgot to update-grub after editing /etc/default/grub. *stupid* Looks like noacpi fixes the problem, I can live without ACPI on a Pentium III.

Revision history for this message
W3ird_N3rd (w3ird-n3rd) wrote :

Sorry, can't seem to change my posts here.

noacpi made the busybox thing happen less often, but it still did. With rootdelay=10 irqpoll I started the computer 11 times in a row without problem.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers